Package: grails.rest.render.json

## [Groovy] Class JsonRenderer<T>

- grails.rest.render.json.JsonRenderer

-     @groovy.transform.CompileStatic
      class JsonRenderer<T>
      extends DefaultJsonRenderer<T>

  A JSON renderer that allows including / excluding properties

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `JsonRenderer.1` |
    `class` | `JsonRenderer.2` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List<java.lang.String>` | `excludes` | The properties to be excluded
    `private GrailsApplication` | `grailsApplication` |
    `private java.util.List<java.lang.String>` | `includes` | The properties to be included
    `private ProxyHandler` | `proxyHandler` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `excludes` The properties to be excluded
    `GrailsApplication` | `grailsApplication`
    `java.util.List<java.lang.String>` | `includes` The properties to be included
    `ProxyHandler` | `proxyHandler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonRenderer (java.lang.Class<T> targetType)`
    `JsonRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `registerCustomConverter()`
    `` | `protected void` | `registerCustomMarshaller(org.grails.web.converters.marshaller.ObjectMarshaller marshaller)`
    `` | `protected void` | `renderJson(grails.converters.JSON converter, RenderContext context)`

- - ### Field Detail

    - #### private java.util.List<java.lang.String> excludes

      The properties to be excluded

    - #### @org.springframework.beans.factory.annotation.Autowired private GrailsApplication grailsApplication

    - #### private java.util.List<java.lang.String> includes

      The properties to be included

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private ProxyHandler proxyHandler

  - ### Property Detail

    - #### java.util.List<java.lang.String> excludes

      The properties to be excluded

    - #### @org.springframework.beans.factory.annotation.Autowired GrailsApplication grailsApplication

    - #### java.util.List<java.lang.String> includes

      The properties to be included

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) ProxyHandler proxyHandler

  - ### Constructor Detail

    - #### JsonRenderer(java.lang.Class<T> targetType)

    - #### JsonRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### @javax.annotation.PostConstruct void registerCustomConverter()

    - #### @groovy.transform.CompileStatic(value: TypeCheckingMode.SKIP) protected void registerCustomMarshaller(org.grails.web.converters.marshaller.ObjectMarshaller marshaller)

    - #### @java.lang.Override protected void renderJson(grails.converters.JSON converter, RenderContext context)